### Home Classes Methods

### In Files

- v/VueResult.rb

### Parent

Object

### Methods

- ::new
- #listenerDestroy

### Class/Module Index

Quicksearch

- CtrlCheckLinks
- CtrlHistoLink
- Menu
- ReadFile
- Vue1
- VueHisto
- VueMenu
- VueResult

No matching classes.

# VueResult

Classe creation de la vue des resultats

### Public Class Methods

new(liste_result, title) click to toggle source

Creation de la vue

- String liste_result : contient les resultats a afficher

- String title : titre de la vue

    # File v/VueResult.rb, line 6
    def initialize(liste_result, title)
      #fenenetre generale
      @window = Gtk::Window.new
      @window.set_title(title)

      #declaration des differents widgets
      vb = Gtk::VBox.new(true, 6)
      vh = Gtk::HBox.new(false, 6)

      #creation label resultat
      if(liste_result != "")
        res = Gtk::Label.new(liste_result)
      else
        res = Gtk::Label.new("Pas de liens trouves")
      end
      vh.pack_start(res, false, true, 6)
      vb.pack_start(vh)

      # Abbonement fenetre au Listener
      @window.add(vb)
      self.listenerDestroy
    end

### Public Instance Methods

listenerDestroy() click to toggle source

Listener fermeture Resultat

    # File v/VueResult.rb, line 34
    def listenerDestroy
      @window.signal_connect('destroy') {
        @window.destroy
        Gtk.main_quit
      }
    end

[Validate]

Generated with the Darkfish Rdoc Generator 2.